Apache JMeter

## org.apache.jmeter.extractor
Class BeanShellPostProcessor

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.util.BeanShellTestElement
              org.apache.jmeter.extractor.BeanShellPostProcessor

All Implemented Interfaces:
  Serializable, Cloneable, PostProcessor, TestBean, TestElement, TestListener, ThreadListener

    public class BeanShellPostProcessor

extends BeanShellTestElement
implements Cloneable, PostProcessor, TestBean

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`BeanShellPostProcessor()`

Method Summary
`protected String` `getInitFileProperty()`
`void` `process()` Provides the PostProcessor with a SampleResult object from which to extract values for use in future Queries.

Methods inherited from class org.apache.jmeter.util.BeanShellTestElement
`clone, getBeanShellInterpreter, getFilename, getParameters, getScript, isResetInterpreter, processFileOrScript, readResolve, setFilename, setParameters, setResetInterpreter, setScript, testEnded, testEnded, testIterationStart, testStarted, testStarted, threadFinished, threadStarted`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addProperty, addTestElement, canRemove, clear, clearTemporary, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanShellPostProcessor

    public BeanShellPostProcessor()

Method Detail

### getInitFileProperty

    protected String getInitFileProperty()

  Specified by:
    `getInitFileProperty` in class `BeanShellTestElement`

### process

    public void process()

  Description copied from interface: `PostProcessor`
  Provides the PostProcessor with a SampleResult object from which to extract values for use in future Queries.

  Specified by:
    `process` in interface `PostProcessor`

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.